Package: groovy.swing.model

## [Java] Interface ValueModel

-     public interface ValueModel

  Represents a model of a value

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Class` | `getType()`
    `` | `public Object` | `getValue()`
    `` | `public boolean` | `isEditable()`
    `` | `public void` | `setValue(Object value)`

- - ### Method Detail

    - #### public Class getType()

    - #### public Object getValue()

    - #### public boolean isEditable()

    - #### public void setValue(Object value)